// AsGradientCell.h: interface for the CAsGradientCell class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_ASGRADIENTCELL_H_)
#define _ASGRADIENTCELL_H_

#include <string>
#include "AsFontInfo.h"
#include "AsBaseCell.h"

using namespace std;

class CAsGradientCell: public CAsBaseCell 
{
public:
	CAsGradientCell(); 
	virtual ~CAsGradientCell();

	virtual void Draw(CDC* pDC);

	void SetTopColor(COLORREF topColor);
	COLORREF GetTopColor() const;

	void SetMidTopColor(COLORREF midTopColor);
	COLORREF GetMidTopColor() const;

	void SetMidBottomColor(COLORREF midBottomColor);
	COLORREF GetMidBottomColor() const;

	void SetBottomColor(COLORREF bottomColor);
	COLORREF GetBottomColor() const;

protected:

	COLORREF topColor_;
	COLORREF midTopColor_;
	COLORREF midBottomColor_;
	COLORREF bottomColor_;
	
};

#endif // !defined(_ASGRADIENTCELL_H_)
